<!DOCTYPE html>
<html lang="en">
	
	<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>cli-visualizer_yad README</title>
    <style>
        body {
            background-color: #dbfae6; /* Change this color to your desired background color */
        }
    </style>
</head>

<body>
  <h1>cli-visualizer_yad</h1>

  <p><i>(drag readme.html into firefox for soft reading)</i></p>

  <h2>A simple VIS (similar to audio visualizer CAVA) tweaker.</h2>

  <h5>Works with Tuxedo KDE and Mabox (Manjaro Openbox).</h5>

  <p>The application utilizes YAD to set basic parameters for VIS (audio visualizer).</p>

  <img src="images/menu.png" alt="menu">
  
  <img src="images/welcome-color.png" alt="welcome">
  
  <img src="images/yad-colorizer.png" alt="pick">
  
  <img src="images/save-theme.png" alt="save">
  
  <img src="images/save-theme-confirm.png" alt="confirm">



  <hr>

  <h3>Launch <code>vis-manager</code> to change the <code>vis</code> variable.</h3>
  
  <blockquote>
    <p><strong>hotkey toggle:</strong> s = mono or stereo mode</p>
    <p><strong>hotkey refresh:</strong> r = reload config (after save settings, press 'r' to reload running vis)</p>
  </blockquote>

  <img src="images/jgmenu.png" alt="jgmenu">
  
  <img src="images/kdemenu.png" alt="kdemenu">

  <h2>Use <code>Install.sh</code> for the easy way (system wide). Tuxedo or Mabox.</h2>
  <p><i>(Uninstall script available)</i></p>
  <p><i>(Install script looks for Ubuntu[ppa] or Arch)</i></p>
  <p><i>(Uninstall only bin and .desktop files.  Configs need to be removed manualy)</i></p>

  <h2>Installation [manual ARCH].</h2>

  <pre><code>
yay -S cli-visualizer

sudo pacman -S terminator

sudo pacman -S yad

sudo pacman -S wmctrl
  </code></pre>

  <h3>Create the necessary directories and place the configuration files in the following locations:</h3>

  <pre><code>
/usr/local/bin/transparent-vis.sh
/usr/local/bin/vis-manager.sh
/usr/local/bin/yad-select-file.sh
/usr/local/bin/rename-vis-colors.sh
/usr/local/bin/vis-yad-colors.sh
/usr/local/bin/mb-setvar
~/.local/share/applications/transparent-vis.desktop
~/.local/share/applications/vis-manager.desktop
~/.config/vis/mb-vis-config
~/.config/vis/.amount
~/.config/vis/colors/mb-vis-colors
~/.config/vis/welcome-vis.txt
~/.config/terminator/vis-transparent

  </code></pre>

  <h3>Ensure scripts are executable:</h3>

  <pre><code>
chmod +x bin/transparent-vis.sh
chmod +x bin/vis-manager.sh
chmod +x bin/yad-select-file.sh
chmod +x bin/mb-setvar
chmod +x bin/rename-vis-colors.sh
chmod +x bin/vis-yad-colors.sh

  </code></pre>

  <h3>Configure hotkey:</h3>

  <p>Add the following to <code>~/.config/openbox/rc.xml</code> to bind a key to start <code>transparent-vis.sh</code>:</p>

  <p>Two options for the size: -full size or -half size width. (default = full: height 200) ... Example: transparent-vis.sh 500 full</p>
  
  <pre><code>
&lt;keybind key="C-A-v"&gt;
  &lt;action name="Execute"&gt;
    &lt;execute&gt;transparent-vis.sh full&lt;/execute&gt;
  &lt;/action&gt;
&lt;/keybind&gt;
  </code></pre>

  <h3>Ensure Picom compositor excludes shadow for transparency:</h3>

  <pre><code>
shadow-exclude = [
    "name *= 'vistransparent'"
]
  </code></pre>

  <blockquote>
    <p><strong>Troubleshoot:</strong></p>
    <p><strong>Issue:</strong> Values are not changing when I save the settings.</p>
    <p><strong>Answer:</strong> Look at <code>mb-vis-config</code>. Remove <code>#</code> from the needed line(s) to be able to change the value.</p>
  </blockquote>

  <img src="images/theme.png" alt="theme">
  <img src="images/vis-3.gif" alt="vis3">
  <img src="images/vis-4.gif" alt="vis3">
  <img src="images/vis-5.gif" alt="vis3">
  <img src="images/stereo-one.gif" alt="stereo1">
  <img src="images/vis-demo.gif" alt="demo1">
</body>
</html>

<p><strong>Contributions:</strong></p>

<p><i>Contributions to improve and expand the functionality of these scripts are welcome.</i> </p>
<p><i>If you encounter any issues or have ideas for enhancements, feel free to submit a pull request or open an issue on GitLab.</i></p>
